Skip to main content
GET
List Payouts

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:10

Number of payouts to return, from 1 to 100. Default is 10.

Required range: 1 <= x <= 100
starting_after
string

A payout ID (starts with pot_) used as a cursor. Returns the payouts created after this payout, oldest first. Cannot be used together with ending_before.

ending_before
string

A payout ID (starts with pot_) used as a cursor. Returns the payouts created before this payout, newest first. Cannot be used together with starting_after.

created.gt
string<date-time>

Returns payouts created after this time (RFC 3339, e.g. 2026-10-01T00:00:00Z).

created.gte
string<date-time>

Returns payouts created at or after this time. Cannot be used together with created.gt.

created.lt
string<date-time>

Returns payouts created before this time.

created.lte
string<date-time>

Returns payouts created at or before this time. Cannot be used together with created.lt.

type
enum<string>

Filter by the type of the payout.

Available options:
local,
swift,
wallet,
local_payment_network,
tazapay_account
local.fund_transfer_network
string

Filter local payouts by the fund transfer network, exact match and case insensitive, e.g. sepa.

swift.charge_type
enum<string>

Filter swift payouts by the charge type.

Available options:
shared,
ours
beneficiary
string

Filter by the beneficiary ID (starts with bnf_).

status
enum<string>

Filter by the status of the payout.

Available options:
requires_approval,
requires_action,
requires_funding,
requires_confirmation,
compliance_hold,
approval_hold,
initiator_bank_hold,
processing,
succeeded,
failed,
cancelled,
reversed
on_behalf_of
string

Filter by the entity the payouts were made on behalf of (starts with ent_).

Response

List of payouts.

status
string

Status of API request

message
string

Message returned as part of the API response

data
object